Package net.shibboleth.idp.attribute.resolver.dc.scripted.impl

# Class ScriptedDataConnector.NullValidator

java.lang.Object
net.shibboleth.idp.attribute.resolver.dc.scripted.impl.ScriptedDataConnector.NullValidator

All Implemented Interfaces:
  `Validator`

Enclosing class:
  ScriptedDataConnector

private final class ScriptedDataConnector.NullValidator extends Object implements Validator
Because we are a SearchDataConnector we need to have a validator, so this plugs the gap.

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`throwValidateError`
Whether to raise an error.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`NullValidator()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isThrowValidateError()`
Returns whether `Validator.validate(DataConnector)` should throw or log errors.
`void`
`setThrowValidateError(boolean what)`
Sets whether `Validator.validate(DataConnector)` should throw or log errors.
`void`
`validate(DataConnector dataConnector)`
Probe the data connector and conditionally fails if it is not valid and ready for use.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### throwValidateError

private boolean throwValidateError
Whether to raise an error.

## Constructor Details

### NullValidator

private NullValidator()

## Method Details

### validate

public void validate(@Nonnull DataConnector dataConnector) throws ValidationException
Probe the data connector and conditionally fails if it is not valid and ready for use.

Specified by:
  `validate` in interface `Validator`
Parameters:
  `dataConnector` - data connector to validate
Throws:
  `ValidationException` - thrown if validation fails and `Validator.isThrowValidateError()` is true

### setThrowValidateError

public void setThrowValidateError(boolean what)
Sets whether `Validator.validate(DataConnector)` should throw or log errors.

Specified by:
  `setThrowValidateError` in interface `Validator`
Parameters:
  `what` - whether `Validator.validate(DataConnector)` should throw or log errors

### isThrowValidateError

public boolean isThrowValidateError()
Returns whether `Validator.validate(DataConnector)` should throw or log errors.

Specified by:
  `isThrowValidateError` in interface `Validator`
Returns:
  whether `Validator.validate(DataConnector)` should throw or log errors